Overview | Package | Class | Tree | Deprecated | Index | Help
| Copyright © 2000, 2008, Oracle and/or its affiliates. All rights reserved.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.portal.tools.portal.desktop
Class DesktopTemplateIDBuilder

    java.lang.Object
      com.bea.portal.tools.resource.ResourceIDBuilder<T>
          com.bea.portal.tools.resource.framework.TaggedResourceIDBuilder<DesktopTemplateID>
              com.bea.portal.tools.portal.desktop.DesktopTemplateIDBuilder

All Implemented Interfaces
  Serializable, Cloneable

    public final class DesktopTemplateIDBuilder

extends com.bea.portal.tools.resource.framework.TaggedResourceIDBuilder<DesktopTemplateID>

Identifies the collection of portal resource definitions.

See Also
  Serialized Form

Nested Class Summary

Nested classes/interfaces inherited from class com.bea.portal.tools.resource.ResourceIDBuilder
`ResourceIDBuilder.ParseContext`

Field Summary

Fields inherited from class com.bea.portal.tools.resource.framework.TaggedResourceIDBuilder
`tags`

Constructor Summary
`DesktopTemplateIDBuilder()` Constructor.

Method Summary
`DesktopTemplateID` | `createResourceID()` Create the `DesktopTemplatesID`.
`DesktopDefinitionId` | `getDesktopDefinitionId()` Get the `DesktopDefinitionId`.
`DesktopPath` | `getDesktopPath()` Get the desktop path that the desktop definition is associated with
`PortalID` | `getPortalID()` Get the `PortalID`.
`PortalPath` | `getPortalPath()` Get the `PortalPath`.
`String` | `getWebApplicationName()` Get the name the web application that the desktop definition is associated with.
`DesktopTemplateIDBuilder` | `parseResourceURN(String resourceURN)` Parse the given URN.
`DesktopTemplateIDBuilder` | `setDesktopDefinitionId(DesktopDefinitionId desktopDefinitionId)` Change the `DesktopTemplateId`.
`DesktopTemplateIDBuilder` | `setDesktopPath(String desktopPath)` Change the desktop path that this desktop definition is associated with
`DesktopTemplateIDBuilder` | `setPortalID(PortalID portalID)` Change the `PortalID`
`DesktopTemplateIDBuilder` | `setPortalPath(PortalPath portalPath)` Change the `PortalPath`
`DesktopTemplateIDBuilder` | `setWebApplicationName(String name)` Change the name the web application that the desktop definition is associated with.

Methods inherited from class com.bea.portal.tools.resource.framework.TaggedResourceIDBuilder
`clone, getTag, getTags, getTagValue, getTagValue, parseResourcePath, processResourceTags, reset, setTagValue`

Methods inherited from class com.bea.portal.tools.resource.ResourceIDBuilder
`createParseContext, getExpectedResourceType, getResourceType, getResourceURN, parseResourceTypeNamespaceURI, parseResourceURN, resolveResourceType, setExpectedResourceType, setResourceType, setResourceURN, toString`

Methods inherited from class java.lang.Object
`equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### DesktopTemplateIDBuilder

    public DesktopTemplateIDBuilder()

  Constructor.

Method Detail

### parseResourceURN

    public DesktopTemplateIDBuilder parseResourceURN(String resourceURN)

  Parse the given URN. resourceURN the URN of the referrent resource this `DesktopTemplatesIDBuilder`

  Overrides:
    `parseResourceURN` in class `com.bea.portal.tools.resource.framework.TaggedResourceIDBuilder<DesktopTemplateID>`
  Parameters
    `resourceURN` - the URN of the referrent resource
  Returns
    this `ResourceIDBuilder`

### getDesktopDefinitionId

    public DesktopDefinitionId getDesktopDefinitionId()

  Get the `DesktopDefinitionId`.

  Returns
    the `DesktopDefinitionId`

### setDesktopDefinitionId

    public DesktopTemplateIDBuilder setDesktopDefinitionId(DesktopDefinitionId desktopDefinitionId)

  Change the `DesktopTemplateId`.

  Parameters
    `desktopDefinitionId` - the `DesktopTemplateId`
  Returns
    this `DesktopTemplateIDBuilder`

### getWebApplicationName

    public String getWebApplicationName()

  Get the name the web application that the desktop definition is associated with.

  Returns
    the name of the web application

### setWebApplicationName

    public DesktopTemplateIDBuilder setWebApplicationName(String name)

  Change the name the web application that the desktop definition is associated with.

  Parameters
    `name` - the name of the web application that the desktop definition is associated with
  Returns
    this `DesktopTemplateIDBuilder`

### getDesktopPath

    public DesktopPath getDesktopPath()

  Get the desktop path that the desktop definition is associated with

  Returns
    DesktopPath

### setDesktopPath

    public DesktopTemplateIDBuilder setDesktopPath(String desktopPath)

  Change the desktop path that this desktop definition is associated with

  Parameters
    `desktopPath` - new desktop path that the desktop definition should be associated with
  Returns
    this `DesktopTemplateIDBuilder`

### getPortalID

    public PortalID getPortalID()

  Get the `PortalID`.

  Returns
    the `PortalID`

### setPortalID

    public DesktopTemplateIDBuilder setPortalID(PortalID portalID)

  Change the `PortalID`

  Parameters
    `portalID` - the `PortalID`
  Returns
    this `DesktopTemplateIDBuilder`

### getPortalPath

    public PortalPath getPortalPath()

  Get the `PortalPath`.

  Returns
    the `PortalPath`

### setPortalPath

    public DesktopTemplateIDBuilder setPortalPath(PortalPath portalPath)

  Change the `PortalPath`

  Parameters
    `portalPath` - the `PortalPath`
  Returns
    this `DesktopTemplateIDBuilder`

### createResourceID

    public DesktopTemplateID createResourceID()

  Create the `DesktopTemplatesID`. the `DesktopTemplatesID`

  Overrides:
    `createResourceID` in class `ResourceIDBuilder<DesktopTemplateID>`
  Returns
    the `ResourceID`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000, 2008, Oracle and/or its affiliates. All rights reserved.
Oracle is a registered trademark of Oracle Corporation and/or its affiliates.
Other names may be trademarks of their respective owners.